<?php

/* Definición del modelo AccionSocial ==> equivale a una etiqueta aplicada por un usuario a una obra */

namespace App;

use Illuminate\Database\Eloquent\Model;

class AccionSocial extends Model
{
  // especificamos la tabla en DB
  protected $table = 'acciones_sociales';
  
  // Relaciones del modelo
  
  // Una AccionSocial pertenece a 1 usuario
  public function usuario()
  {
    return $this->belongsTo(User::class,'user_id');
  }
  
  // Una AccionSocial se asigna a 1 obra
  public function obra()
  {
    return $this->belongsTo(Obra::class,'obra_id');
  }

  // Una AccionSocial corresponde a 1 etiqueta
  public function etiqueta()
  {
    return $this->belongsTo(Etiqueta::class,'etiqueta_id');
  }
  
}
