<?php

namespace App\Http\Middleware;

use Closure;

class ComprobarRolUsuario
{
  /**
  * Este middleware nos permitirá comprobar si el usuario autenticado dispone o no de alguno de los roles especificados.
  */
  public function handle($request, Closure $next)
  {
    // Obtenemos el array de roles del request (segundo parámetro) y lo pasamos a un array
    $roles = array_slice( func_get_args(),2 );
    if (auth()->user()->tieneRoles($roles))
    {
      // si el usuario autenticado tiene los roles requeridos, se deja continuar el request
      return $next($request);
    }

    // si no tiene los roles requeridos, vamos a la página principal   
    return redirect('/');
  }
}
