<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ValidarNuevaObra extends FormRequest
{
  /**
  * Esta función se puede usar para comprobar si el usuario tiene autorización o implementar alguna comprobación adicional.
  * En nuestro caso, simplemente la puenteamos devolviendo true.
  */
  public function authorize()
  {
    return true;
  }
  
  /**
  * Reglas de validación
  */
  public function rules()
  {
    $rules = [
      'Titulo' => 'required', // requerido
      'Autor' => 'required', // requerido
      'URL' => 'nullable|URL', // no requerido, formato URL
      'Fecha' => 'required', // requerido
      'CuerpoWeb' => 'nullable|string', // no requerido, formato String
      'Descripcion' => 'nullable|string', // no requerido, formato String
    ];
    
    return $rules;
  }
}
