<?php

/*
 * Personalización de los emails del formulario de contacto 
 */

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class FormularioDeContacto extends Mailable
{
    use Queueable, SerializesModels;

    public $mensaje;

    /**
     * Creamos una nueva instancia del mensaje
     */
    public function __construct($mensaje)
    {
        $this->mensaje = $mensaje;
    }

    /**
     * Generamos y personalizamos el mensaje
     */
    public function build()
    {
        return $this
            ->markdown('emails.contacto') // especificamos la vista del mensaje que usaremos --> resources/views/emails/contacto.blade.php
            ->subject('Mensaje en enlaz.art: '.$this->mensaje->subject); // asunto del mensaje
    }
}
