<?php

namespace App\Providers;

use App\User;
use App\Obra;
use App\Exposicion;
use App\Policies\UsuarioPolicy;
use App\Policies\ObraPolicy;
use App\Policies\ExposicionesPolicy;
use Illuminate\Support\Facades\Gate;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array
     */
    protected $policies = [
        // 'App\Model' => 'App\Policies\ModelPolicy',
        User::class => UsuarioPolicy::class,
        Obra::class => ObraPolicy::class,
        Exposicion::class => ExposicionesPolicy::class,
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();

        //
    }
}
