<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
  /**
  * Crear la tabla 'users'
  */
  public function up()
  {
    Schema::create('users', function (Blueprint $table) 
    {
      $table->increments('id'); // índice 'id'
      $table->string('name'); // cadena 'name'
      $table->string('email')->unique(); // cadena 'email', es única
      $table->string('password'); // cadena
      $table->unsignedInteger('rol_id')->default(2); // entero sin signo, por defecto su valor es 2 (plan esencial)
      // definimos la clave foránea del rol en la tabla roles y su comportamiento (onDelete, onUpdate)
      $table->foreign('rol_id')
        ->references('id')->on('roles')
        ->onDelete('cascade')
        ->onUpdate('cascade');
      $table->rememberToken(); // usaremos el token de "recuérdame". Equivale a un varchar(100) nullable 
      $table->timestamps(); // campos de fecha 'updated_at', 'created_at'
    });
    

    // Definimos el SuperUsuario administrador de la aplicación
    DB::table('users')
    ->insert(array(
      'id'=>'1',
      'name'=>'Luis J. Simón', 
      'email'=>'ljsimon@ljsimon.es',
      'password' => bcrypt('12341234'), 
      'rol_id'=>1
    ));
  }
  
  /**
  * Eliminar la tabla 'users'
  */
  public function down()
  {
    Schema::dropIfExists('users');
  }
}
