<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEtiquetasTable extends Migration
{
  /**
  * Crear la tabla 'etiquetas'
  */
  public function up()
  {
    Schema::create('etiquetas', function (Blueprint $table) {
      $table->increments('id'); // índice 'id'
      $table->string('clave')->unique; // cadena, valor único en tabla
      $table->string('descripcion'); // cadena
      $table->timestamps(); // campos de fecha 'updated_at', 'created_at'
    });
    
    // Insertamos las 2 etiquetas que en la versión 1.0 manejaremos en la aplicación: fav y like
    DB::table('etiquetas')
    ->insert(array(
      'id'=>'1',
      'clave'=>'fav', 
      'descripcion'=>'Favorito',
    ));
    
    DB::table('etiquetas')
    ->insert(array(
      'id'=>'2',
      'clave'=>'like', 
      'descripcion'=>'Me gusta',
    ));
  }
  
  /**
  * Eliminar tabla 'etiquetas'
  */
  public function down()
  {
    Schema::dropIfExists('etiquetas');
  }
}
