<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAccionesSocialesTable extends Migration
{
    /**
    * Crear tabla 'acciones_sociales'
    */
    public function up()
    {
        Schema::create('acciones_sociales', function (Blueprint $table) {
            $table->increments('id'); // índice 'id'
            $table->integer('user_id')->unsigned(); // entero sin signo
            // definimos la clave foránea del usuario en la tabla users y su comportamiento (onDelete, onUpdate)
            $table->foreign('user_id')
            ->references('id')->on('users')
            ->onDelete('cascade')
            ->onUpdate('cascade');
            $table->integer('obra_id')->unsigned(); // entero sin signo
            // definimos la clave foránea de la obra en la tabla obras y su comportamiento (onDelete, onUpdate)
            $table->foreign('obra_id')
            ->references('id')->on('obras')
            ->onDelete('cascade')
            ->onUpdate('cascade');
            $table->integer('etiqueta_id')->unsigned(); // entero sin signo
            // definimos la clave foránea de las etiquetas en la tabla etiquetas y su comportamiento (onDelete, onUpdate)
            $table->foreign('etiqueta_id')
            ->references('id')->on('etiquetas')
            ->onDelete('cascade')
            ->onUpdate('cascade');
            $table->timestamps(); // campos de fecha 'updated_at', 'created_at'
        });
    }
    
    /**
    * Eliminar tabla 'acciones_sociales'
    */
    public function down()
    {
        Schema::dropIfExists('acciones_sociales');
    }
}
