<?php

use Illuminate\Database\Seeder;
use App\Obra;
use Carbon\Carbon;
use Illuminate\Support\Facades\Storage;


class ObrasTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {   
        $obra = new Obra;
        $obra->Titulo = 'Las lanzas o La rendición de Breda';
        $obra->Autor = 'Diego Velázquez';
        $obra->URL = 'https://www.museodelprado.es/coleccion/obra-de-arte/las-lanzas-o-la-rendicion-de-breda/0cc7577a-51d9-44fd-b4d5-4dba8d9cb13a?searchid=19e3cf2f-8603-49d1-eaa7-40ef85a438c0';
        $obra->Fecha = 'Hacia 1635';
        $obra->CuerpoWeb = '<p>El 5 de junio de 1625 Justino de Nassau, gobernador holandés de Breda, entregó las llaves de la ciudad a Ambrosio Spínola, general genovés al mando de los tercios de Flandes. La ciudad tenía una extraordinaria importancia estratégica, y fue uno de los lugares más disputados en la larga pugna que mantuvo la monarquía hispánica con las Provincias Unidas del Norte. Su toma tras un largo asedio se consideró un acontecimiento militar de primer orden, y como tal dio lugar a una copiosa producción escrita y figurativa, que tuvo por objeto enaltecer a los vencedores.</p>';
        $obra->Tecnica = 'Óleo sobre lienzo';
        $obra->Medidas = '307 x 367 cm';
        $obra->Planta = 'Planta 1';
        $obra->Ubicacion = 'Sala 009A';
        $obra->Foto = '/storage/enlazart/test/velazquez-las-lanzas.jpg';
        $obra->Thumb = '/storage/enlazart/test/velazquez-las-lanzas.jpg';
        $obra->user_id = 1;
        $obra->exposicion_id = 1;
        $obra->Descripcion = '';
        $obra->esPublica = true;
        $obra->obra_token = str_random(12);
        // $obra->codigoQR = ...;
        // $obra->tieneEtiqueta = ...;
        // $obra->imagenEtiqueta = ...;
        $obra->created_at = Carbon::now();
        $obra->save();


        $obra2 = new Obra;
        $obra2->Titulo = 'El jardín de las delicias';
        $obra2->Autor = 'El Bosco';
        $obra2->URL = 'https://www.museodelprado.es/coleccion/obra-de-arte/triptico-del-jardin-de-las-delicias/02388242-6d6a-4e9e-a992-e1311eab3609';
        $obra2->Fecha = '1490 - 1500';
        $obra2->CuerpoWeb = '<p>El Jardín de las delicias es la creación más compleja y enigmática del Bosco. Para Falkenburg, el tema general del Jardín de las delicias es el destino de la humanidad, el mismo que el del <i>Carro de heno</i>  aunque el Bosco lo visualice de distinta manera, mucho más explícita en la tabla central del Carro de heno que en la del Jardín. Para aproximarnos al significado de la obra, es necesario identificar lo que se representa en cada tabla.</p>';
        $obra2->Tecnica = 'Grisalla; Óleo sobre tabla';
        $obra2->Medidas = '220 x 389 cm';
        $obra2->Planta = 'Planta 0';
        $obra2->Ubicacion = 'Sala 056A';
        $obra2->Foto = '/storage/enlazart/test/bosco.jpg';
        $obra2->Thumb = '/storage/enlazart/test/bosco.jpg';
        $obra2->user_id = 1;
        $obra2->exposicion_id = 1;
        $obra2->Descripcion = '';
        $obra2->esPublica = true;
        $obra2->obra_token = str_random(12);
        // $obra2->codigoQR = ...;
        $obra2->tieneEtiqueta = true;
        // $obra2->imagenEtiqueta = ...;
        $obra2->created_at = Carbon::now();
        $obra2->save();

        $obra3 = new Obra;
        $obra3->Titulo = 'Perro semihundido';
        $obra3->Autor = 'Francisco de Goya y Lucientes';
        $obra3->URL = 'https://www.museodelprado.es/coleccion/obra-de-arte/perro-semihundido/4ea6a3d1-00ee-49ee-b423-ab1c6969bca6?searchid=3d07b77a-a291-fe7c-4ae7-894783850e42';
        $obra3->Fecha = '1820 - 1823';
        $obra3->CuerpoWeb = '<p>El conjunto de catorce escenas al que pertenece esta obra se ha popularizado con el título de Pinturas Negras por el uso que en ellas se hizo de pigmentos oscuros y negros y, asimismo, por lo sombrío de los temas. Decoraron dos habitaciones, en las plantas baja y alta, de la conocida como Quinta del Sordo, casa de campo a las afueras de Madrid, junto al río Manzanares, conocida por ese nombre antes de su adquisición por Goya en 1819. Se conocen fotos del conjunto in situ, realizadas hacia 1873 por el fotógrafo francés Jean Laurent (1816-1886), y se incluyeron por primera vez en el catálogo del Museo del Prado de 1900. La casa fue derribada hacia 1909.</p>';
        $obra3->Tecnica = 'Técnica mixta';
        $obra3->Medidas = '131 x 79 cm';
        $obra3->Planta = 'Planta 0';
        $obra3->Ubicacion = 'Sala 067';
        $obra3->Foto = '/storage/enlazart/test/goya-perro.jpg';
        $obra3->Thumb = '/storage/enlazart/test/goya-perro.jpg';
        $obra3->user_id = 2;
        $obra3->exposicion_id = 2;
        $obra3->Descripcion = '';
        $obra3->esPublica = false;
        $obra3->obra_token = str_random(12);
        // $obra3->codigoQR = ...;
        $obra3->tieneEtiqueta = true;
        // $obra3->imagenEtiqueta = ...;
        $obra3->created_at = Carbon::now();
        $obra3->save();

        $obra4 = new Obra;
        $obra4->Titulo = 'La Gloria';
        $obra4->Autor = 'Tiziano';
        $obra4->URL = 'https://www.museodelprado.es/coleccion/obra-de-arte/la-gloria/66149817-6f88-4e5f-a09a-81f63a84d145?searchid=b1969fcd-cb07-0097-aaf4-005ee23f11a6';
        $obra4->Fecha = '1551-1554';
        $obra4->CuerpoWeb = '<p>Durante su encuentro en Augsburgo en 1550-51, Carlos V encargó a Tiziano La Gloria, finalizada en octubre de 1554, cuando fue enviada a Bruselas. La inusual composición, que debió atenerse a precisas instrucciones del emperador como ya apuntara Gronau, está presidida por la Trinidad, a cuya derecha figuran los dos intercesores por excelencia: la Virgen y tras ella San Juan Bautista. La prelación de la Virgen sobre los demás personajes se manifiesta compositivamente y cromáticamente, al ser la única figura que camina hacia la Trinidad y no la contempla expectante, y vestir con el mismo azul que el Padre y el Hijo. </p>';
        $obra4->Tecnica = 'Óleo sobre lienzo';
        $obra4->Medidas = '346 x 240 cm';
        $obra4->Planta = 'Planta 1';
        $obra4->Ubicacion = 'Sala 024';
        $obra4->Foto = '/storage/enlazart/test/tiziano.jpg';
        $obra4->Thumb = '/storage/enlazart/test/tiziano.jpg';
        $obra4->user_id = 3;
        $obra4->exposicion_id = 3;
        $obra4->Descripcion = '';
        $obra4->esPublica = false;
        $obra4->obra_token = str_random(12);
        // $obra4->codigoQR = ...;
        // $obra4->tieneEtiqueta = ...;
        // $obra4->imagenEtiqueta = ...;
        $obra4->created_at = Carbon::now();
        $obra4->save();
    }
}
