{{-- Vista de inicio de sesión (login). Extiende la plantilla principal layouts/layout --}}
@extends('layouts/layout')

@section('contenido')
<div class="container mt-5">
  <div class="row justify-content-center">
    <div class="col-md-8">
      <div class="card">
        <div class="card-header">{{ __('Iniciar sesión') }}</div>
        
        <div class="card-body">
          <form method="POST" action="{{ route('login') }}">
            @csrf
            
            <div class="form-group row">
              <label for="email" class="col-sm-4 col-form-label text-md-right">{{ __('Email') }}</label>
              
              <div class="col-md-6">
                <input id="email" type="email" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}" required autofocus>
                {{-- Si la vista recibe la variable $errors (por ejemplo, de una llamada anterior), mostramos el referente al campo email --}}
                {{-- Más adelante, se repite esta práctica (se omite volver a comentarlo) --}}
                @if ($errors->has('email'))
                <span class="invalid-feedback">
                  <strong>{{ $errors->first('email') }}</strong>
                </span>
                @endif
              </div>
            </div>
            
            <div class="form-group row">
              <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('Contraseña') }}</label>
              
              <div class="col-md-6">
                <input id="password" type="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" name="password" required>
                
                @if ($errors->has('password'))
                <span class="invalid-feedback">
                  <strong>{{ $errors->first('password') }}</strong>
                </span>
                @endif
              </div>
            </div>
            
            <div class="form-group row">
              <div class="col-md-6 offset-md-4">
                <div class="checkbox">
                  <label>
                    {{-- Si en llamada anterior a la vista, el campo estaba marcado, vuelve a marcarlo. --}}
                    <input type="checkbox" name="remember" {{ old('remember') ? 'checked' : '' }}> {{ __('Recuérdame') }}
                  </label>
                </div>
              </div>
            </div>
            
            <div class="form-group row mb-0">
              <div class="col-md-8 offset-md-4">
                <button type="submit" class="btn btn-primary">
                  {{ __('Iniciar sesión') }}
                </button>
                
                <a class="btn btn-link" href="{{ route('password.request') }}">
                  {{ __('¿Olvidó su contraseña?') }}
                </a>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
  
  <div class="row justify-content-center mt-5">
    <div class="col-md-8">
      <div class="card">
        <div class="card-header">{{ __('¿No tienes una cuenta?') }}</div>
        
        <div class="card-body">
          <div class="form-group row mb-0">
            <div class="col-md-8 offset-md-4">
              <a class="btn btn-link btn-outline-primary" href="{{ route('register') }}">
                {{ __('Registrar nueva cuenta') }}
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
@endsection
