{{-- Vista ficha pública de colección. Extiende la plantilla principal layouts/layout --}}
@extends('layouts/layout')

@push('styles')
  {{-- Importamos estilos adicionales --}}
  <link href="{{ mix('/css/enlazart.css') }}" rel="stylesheet">
@endpush 

@section('contenido')

<main role="main">
  
  <section class="jumbotron text-center ficha_enlazart">
    <div class="container">
      <h1 class="jumbotron-heading">{{ $exposicion->Titulo }}</h1>
      <h4>{{ $exposicion->Tipo }}</h4>
    </div>
  </section>
  
  <div class="container ficha_enlazart">
    <div class="row justify-content-center">
      
      <div class="col-sm-12 col-md-10 col-lg-8">
        <p class="lead text-muted extracto">{{ $exposicion->Extracto }}</p>
        {!! $exposicion->CuerpoWeb !!}
        
        <div class="row my-3 text-center">
          
          <div class="col-lg-6">
            <h6 class="text-primary">Agenda</h6>
            <p>Del {{ $exposicion->fechaDesde() }} al {{ $exposicion->fechaHasta() }}</p>
            <p>Horario: {{ $exposicion->Horario_general }}</p>
          </div>
          
          <div class="col-lg-6">
            <h6 class="text-primary">Ubicación</h6>
            <p>{{$exposicion->Ubicacion}}</p>
            <a class="btn btn-outline-dark btn-sm" href="{{ $exposicion->URL }} " role="button" target="_blank">Ver más &raquo;</a>
          </div>
          
        </div>
      </div>
      
      
    </div>
  </div>
  {{-- fin fila datos exposición/colección --}}
  
  {{-- obras de la colección --}}
  <div class="py-5 bg-light">
    <div class="container">
      <div class="row justify-content-center">
        
        @foreach ($exposicion->obras_publicas() as $obra)
        <div class="col-sm-6 col-md-4 col-lg-3 text-center">
          <div class="card mb-4 box-shadow">
            <img class="card-img-top" src="{{ ($obra->Thumb != null) ? $obra->Thumb : env('ENLAZART_THUMBNAIL') }}" alt="{{ ($obra->Titulo.', '.$obra->Autor) }}">
            <div class="card-body">
              <a role="button" href="{{ $obra->ruta_ficha_publica() }}" class="btn btn-sm btn-outline-secondary">Ver  &raquo;</a>
            </div>
          </div>
        </div>
        @endforeach
        
      </div>
    </div>
  </div>
  
</main>

@endsection