<!DOCTYPE html>
{{-- Layout (o plantilla) principal del proyecto --}}
{{-- La plantilla se aplica a una vista mediante la directiva @extends --}}
<html lang="es">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  
  {{-- El token csrf es una medida de seguridad para evitar ataques CSS --}}
  <meta name="csrf-token" content="{{ csrf_token() }}">
  <meta name="description" content="">
  <meta name="author" content="Luis Joaquín Simón">
  <link rel="icon" href="/favicon.ico">
  
  {{-- Título de la página: si está definido en config/app.php, lo cogemos de ahí. Si no, 'enlaz.art' --}}
  <title>{{ config('app.name', 'enlaz.art') }}</title>
  
  <!-- Bootstrap CSS: importamos los estilos comunes en la plantilla  -->
  <link href="{{ mix('/css/app.css') }}" rel="stylesheet">
  <link href="{{ mix('/css/open-iconic-bootstrap.css') }}" rel="stylesheet">
  <!-- mi CSS -->
  
  {{-- Si la vista necesita más estilos, irán aquí. La vista completa este área @stack con la directiva @push --}}
  @stack('styles')
  
</head>
<body>
  
  {{-- Incluimos el archivo con la cabecera de la página --}}
  @include('layouts/partials/header')
  
  {{-- Esta sección se personalizará en la vista mediante la directiva @section --}}
  @yield('contenido')
  
  {{-- Incluimos el archivo con el pie de la página --}}
  @include('layouts/partials/footer')
  
  <!-- scripts comunes a todas las páginas -->
  <script src="{{ mix('/js/app.js') }}"></script>
  {{-- Si la vista necesita scripts adicionales, irán aquí. La vista indica los scripts con la directiva @push --}}
  @stack('scripts')
</body>
</html>
