{{-- Pie de página --}}
<div class="container">
  <footer class="pt-4 my-md-5 pt-md-5 border-top">
    <div class="row">
      <div class="col-12 col-lg-3">
        <img class="mb-2" src="/images/logo-enlazart-v01-web.png" alt="" height="30">
        <small class="d-block mb-3 text-muted">Copyright © {{ date('Y') }}</small>
      </div>
      <div class="col-12 col-sm-4 col-lg-3">
        <h5>Sobre nosotros</h5>
        <ul class="list-unstyled text-small">
          <li><a class="text-muted" href="{{ route('conocenos') }}">Conócenos</a></li>
          <li><a class="text-muted" href="{{ route('privacidad') }}">Privacidad y aviso legal</a></li>
          {{-- <li><a class="text-muted" href="#">Condiciones de uso</a></li> --}}
          <li><a class="text-muted" href="{{ route('contacta') }}">Contacta con nosotros</a></li>
        </ul>
      </div>
      <div class="col-12 col-sm-4 col-lg-3">
        <h5>Producto</h5>
        <ul class="list-unstyled text-small">
          <li><a class="text-muted" href="{{ route('tour') }}">Tour</a></li>
          <li><a class="text-muted" href="{{ route('por-que') }}">¿Por qué enlaz.art?</a></li>
          <li><a class="text-muted" href="{{ route('como_funciona') }}">Cómo funciona</a></li>
          <li><a class="text-muted" href="{{ route('planes') }}">Planes</a></li>
        </ul>
      </div>
      <div class="col-12 col-sm-4 col-lg-3">
        <h5>Recursos</h5>
        <ul class="list-unstyled text-small">
          {{-- Si el usuario no tiene sesión iniciada --}}
          @if (auth()->guest())
          <li><a class="text-muted" href="/register">Regístrate</a></li>
          <li><a class="text-muted" href="/login">Inicia sesión</a></li>
          @else
          {{-- Si el usuario tiene sesión iniciada --}}
          <li>
            <a class="text-muted" href="{{ route('obras.index') }}">
              <span class="oi oi-list-rich"></span> Mis obras
            </a>
          </li>
          <li>
            <a class="text-muted" href="{{ route('colecciones.index') }}">
              <span class="oi oi-list-rich"></span> Mis colecciones
            </a>
          </li>
          <li>
            <a class="text-muted" href="{{ route('usuarios.favoritos', auth()->user()->id ) }}">
              <span class="oi oi-list-rich"></span> Mis favoritos
            </a>
          </li>
          {{-- Si el usuario es administrador --}}
          @if (auth()->user()->tieneRoles(['admin']))
          <li>
            <a class="text-muted" href="{{ route('usuarios.index') }}">
              <span class="oi oi-people"></span> Usuarios
            </a>
          </li>
          @else
          {{-- Si el usuario no es administrador --}}
          <li>
            <a class="text-muted" href="{{ route('usuarios.show', auth()->user()->id ) }}">
              <span class="oi oi-home"></span> Mi cuenta
            </a>
          </li>
          @endif
          @endif
        </ul>
      </div>
    </div>
  </footer>
</div>