<?php
// Cabecera de la página

function activeMenu($url)
{
  // función para resaltar en el menú superior de navegación la página activa en cada momento, en base a la URL servida
  return request()->is($url) ? 'active' : '';
}
?>

<nav class="navbar navbar-expand-md navbar-light bg-light">
  <div class="container">
    <a class="navbar-brand" href="/">
      <img src="/images/logo-enlazart-v01-web.png" height="40" alt="Logotipo enlaz.art">
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarEnlazArt" aria-controls="navbarEnlazArt" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    
    <div class="collapse navbar-collapse" id="navbarEnlazArt">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item {{ activeMenu('caracteristicas') }}">
          <a class="nav-link" href="{{ route('por-que') }}">¿Por qué enlaz.art? <span class="sr-only">(actual)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{{ route('tour') }}">Tour</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{{ route('planes') }}">Planes</a>
        </li>
        
        {{-- Si el usuario no tiene sesión iniciada --}}
        @if (auth()->guest())
        <li class="nav-item {{ activeMenu('login') }}">
          <a class="btn btn-outline-primary" href="/login">Regístrate o inicia sesión</a>
        </li>
        @else
        {{-- Si el usuario está autenticado --}}
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <span class="oi oi-person"></span> {{ auth()->user()->email }}
          </a>
          <div class="dropdown-menu" aria-labelledby="dropdown01">
            <a class="dropdown-item {{ activeMenu('obras') }}" href="{{ route('obras.index') }}">
              <span class="oi oi-list-rich"></span> Mis obras
            </a>
            <a class="dropdown-item {{ activeMenu('exposiciones') }}" href="{{ route('colecciones.index') }}">
              <span class="oi oi-list-rich"></span> Mis colecciones
            </a>
            <a class="dropdown-item {{ activeMenu('favoritos') }}" href="{{ route('usuarios.favoritos', auth()->user()->id ) }}">
              <span class="oi oi-list-rich"></span> Mis favoritos
            </a>
            
            {{-- Si el usuario autenticado es administrador --}}
            @if (auth()->user()->tieneRoles(['admin']))
            <hr>
            <a class="dropdown-item {{ activeMenu('usuarios*') }}" href="{{ route('usuarios.index') }}">
              <span class="oi oi-people"></span> Usuarios
            </a>
            @else
            {{-- Si el usuario autenticado no es administrador --}}
            <hr>
            <a class="dropdown-item" href="{{ route('usuarios.show', auth()->user()->id ) }}">
              <span class="oi oi-home"></span> Mi cuenta
            </a>
            @endif
            <hr>
            {{-- Cerrar sesión: requiere envío de formulario por post (no un enlace directo) --}}
            <a class="dropdown-item" href="/logout" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
              <span class="oi oi-account-logout"></span> Cerrar sesión
            </a>
            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">{{ csrf_field() }}</form>
          </div>
        </li>
        @endif
        
      </ul>
      
      
    </div>
  </div>
</nav>
