{{-- Vista edición de obra. Extiende la plantilla principal layouts/layout --}}
{{-- Gran parte de las particularidades que pueden verse aquí, se han explicado previamente en create.blade.php, por lo que se omite repetir dicha explicación. --}}
{{-- La mayor diferencia es que en esta vista, inicialmente, puede haber una imagen subida en servidor a la obra. Esta situación se gestiona en el área de scripts y, por tanto,  se comenta en esta vista. --}}
@extends('layouts/layout')

@push('styles')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/min/dropzone.min.css">
@endpush

@section('contenido')
<div class="container mt-4">
  <div class="row">
    <div class="col">
      <h1>Editar "{{ $obra->Titulo }}"</h1>
    </div>
  </div>
  
  @if (session()->has('info'))
  @component('components.info_box', session('tipo'))
  {{ session('info') }}
  @endcomponent
  @endif
  
  <form method="post" action="{{ route('obras.update',$obra->id) }}">
    
    {{-- Simulamos el método PUT (en realidad, lanzamos una petición POST) --}}
    {!! method_field('PUT') !!}
    {!! csrf_field() !!}
    
    <div class="row">
      <div class="col-sm-12 col-md-6 col-lg-4">
        
        <fieldset class="form-group">
          <label for="exposicion_id">Colección <small class="text-primary ml-1">* Obligatorio</small></label>
          <select class="form-control" name="exposicion_id" id="exposicion_id" required>
            @foreach ($exposiciones as $id => $Titulo )
            <option value="{{$id}}" {{ $obra->exposicion->id === $id ? 'selected' : '' }} >{{$Titulo}}</option>
            @endforeach
          </select>
          {!! $errors->first('exposicion_id','<p class=text-danger>:message</p>') !!}
        </fieldset>
        
        <fieldset class="form-group">
          <label for="Titulo">Título <small class="text-primary ml-1">* Obligatorio</small></label>
          <input type="text" class="form-control" name="Titulo" id="Titulo" value="{{ $obra->Titulo }}" placeholder="Título de la obra">
          {!! $errors->first('Titulo','<p class=text-danger>:message</p>') !!}
        </fieldset>
        
        <fieldset class="form-group">
          <label for="Autor">Autor <small class="text-primary ml-1">* Obligatorio</small></label>
          <input type="text" class="form-control" name="Autor"  id="Autor"  value="{{ $obra->Autor }}"  placeholder="Autor de la obra">
          {!! $errors->first('Autor','<p class=text-danger>:message</p>') !!}
        </fieldset>
        
        <fieldset class="form-group">
          <label for="Fecha">Fecha de creación <small class="text-primary ml-1">* Obligatorio</small></label>
          <input type="text" class="form-control" name="Fecha" id="Fecha"  value="{{ $obra->Fecha }}"  placeholder="Fecha de creación">
          {!! $errors->first('Fecha','<p class=text-danger>:message</p>') !!}
        </fieldset>
        
        <fieldset class="form-group">
          <label for="Thumb">Imagen</label>
          <div id="filaDropzone" class="row d-none">
            <div class="col">
              <div class="dropzone"></div>
              <p id="ThumbError" class="text-danger"></p>
              <input type="hidden" name="Thumb" id="Thumb" value="{{ $obra->Thumb }}" >
            </div>
          </div>
          @if ($obra->Thumb)
          <div id="FotoObra" class="row">
            <div class="col-6">
              <button id="borrarFotoObra" type="button" class="btn btn-xs btn-danger" style="position:absolute">
                <span class="oi oi-circle-x"></span> Borrar imagen
              </button>
              <img id='FotoThumb' src="{{ $obra->Thumb }}" class="img-fluid">
            </div>
          </div>
          @endif
        </fieldset>
        
      </div>
      
      <div class="col-sm-12 col-md-6 col-lg-4">
        <fieldset class="form-group">
          <label for="Tecnica">Técnica</label>
          <input type="text" class="form-control" name="Tecnica"  id="Tecnica"  value="{{ $obra->Tecnica }}"  placeholder="Técnica de la obra">
          {!! $errors->first('Tecnica','<p class=text-danger>:message</p>') !!}
        </fieldset>
        
        <fieldset class="form-group">
          <label for="Medidas">Medidas</label>
          <input type="text" class="form-control" name="Medidas"  id="Medidas"  value="{{ $obra->Medidas }}"  placeholder="Medidas de la obra">
          {!! $errors->first('Medidas','<p class=text-danger>:message</p>') !!}
        </fieldset>
        
        <fieldset class="form-group">
          <label for="Planta">Planta</label>
          <input type="text" class="form-control" name="Planta"  id="Planta"  value="{{ $obra->Planta }}"  placeholder="Planta donde se ubica la obra">
          {!! $errors->first('Planta','<p class=text-danger>:message</p>') !!}
        </fieldset>
        
        <fieldset class="form-group">
          <label for="Ubicacion">Ubicación</label>
          <input type="text" class="form-control" name="Ubicacion"  id="Ubicacion"  value="{{ $obra->Ubicacion }}"  placeholder="Ubicación de la obra">
          {!! $errors->first('Ubicacion','<p class=text-danger>:message</p>') !!}
        </fieldset>
        
        <fieldset class="form-group">
          <label for="URL">Página web con más información</label>
          <input type="text" class="form-control" name="URL"  id="URL"  value="{{ $obra->URL }}"  placeholder="http://pagina-con-mas-informacion">
          {!! $errors->first('URL','<p class=text-danger>:message</p>') !!}
        </fieldset>   
      </div>
      
      <div class="col-md-12 col-lg-4">
        <fieldset class="form-group">
          <label for="CuerpoWeb">Descripción web</label>
          <textarea class="form-control" name="CuerpoWeb"  id="enlazartEditor" rows="3">{!! $obra->CuerpoWeb !!}</textarea>
          <small class="text-muted">Este texto aparecerá en la ficha de la obra en la web. Acepta HTML.</small>
          {!! $errors->first('CuerpoWeb','<p class=text-danger>:message</p>') !!}
        </fieldset>
        
        <fieldset class="form-group">
          <label for="Descripcion">Descripción</label>
          <textarea class="form-control" name="Descripcion"  id="Descripcion" rows="2">{{ $obra->Descripcion }}</textarea>
          <small class="text-muted">Descripción interna (no visible) de la obra.</small>
          {!! $errors->first('Descripcion','<p class=text-danger>:message</p>') !!}
        </fieldset>
      </div>
    </div>
    
    <div class="row mb-sm-4">
      <div class="col"><button type="submit" class="btn btn-primary btn-lg mt-5">Editar obra</button></div>
    </div>
  </form>
  
</div>
@endsection

@push('scripts')
<script src="//cdn.ckeditor.com/4.8.0/basic/ckeditor.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/min/dropzone.min.js"></script>

<script>
  CKEDITOR.replace( 'enlazartEditor' );
  
  // Si no hay imagen ya subida de la obra inicialmente, eliminamos la fila que la contendría
  if ($('#borrarFotoObra').length == 0)
  {
    $('#filaDropzone').removeClass('d-none');
  }
  
  // Si hay imagen inicialmente, damos al usuario la opción de eliminar dicha imagen. Difiere del caso de la creación de nueva obra, en que aquí la imagen ya está vinculada a una obra, y hay que actualizar dicha vinculación en DB.
  $('#borrarFotoObra').on('click', function()
  {
    axios({
      method: 'delete',
      url: '/obra/{{ auth()->user()->id }}',
      data: {
        fotoURL: $('#FotoThumb').attr("src"),
        id_obra: '{{ $obra->id }}', // $id de la obra a la que está vinculada la imagen
        hayObra: true, // la imagen está vinculada a una obra
      },
      headers: {
        'X-CSRF-TOKEN': '{{ csrf_token() }}'
      }
    }).then( res => {
      $('#FotoObra').addClass('d-none');
      $('#filaDropzone').removeClass('d-none');
      $('#Thumb').val('');
    });
  });
  
  var miDropzone = new Dropzone('.dropzone',{
    url:'/obra/{{ auth()->user()->id }}',
    dictDefaultMessage: 'selecciona la imagen (mínimo 600x600 px y hasta 2 Mb)',
    addRemoveLinks: true,
    dictRemoveFile: 'Borrar foto',
    dictCancelUpload: 'Cancelar subida',
    dictCancelUploadConfirmation: '¿Está seguro de que deseas cancelar la subida?',
    dictFileTooBig: 'El archivo es demasiado grande: @{{filesize}} Mb y el máximo es @{{maxFilesize}} Mb.',
    dictMaxFilesExceeded: 'Sólo puedes subir @{{maxFiles}} imagen',
    paramName: 'fotoObra',
    acceptedFiles: 'image/*',
    maxFilesize: 2, // tamaño en Mb
    maxFiles: 1, // número máximo de archivos a subir
    headers: {
      'X-CSRF-TOKEN': '{{ csrf_token() }}'
    }
    
  });
  
  miDropzone.on('error', function(file, res){
    if (res.hasOwnProperty('errors')){
      var msg_error = res.errors.fotoObra[0];
    }else{
      var msg_error = res;
    }
    $('.dz-error-message:last > span').text(msg_error);
    $('#ThumbError').text(msg_error);
  });
  
  miDropzone.on('removedfile', function(file, res){
    axios({
      method: 'delete',
      url: '/obra/{{ auth()->user()->id }}',
      data: {
        fotoURL: $('#FotoThumb').attr("src"),
      },
      headers: {
        'X-CSRF-TOKEN': '{{ csrf_token() }}'
      }
    }).then( res => {
      $('#FotoObra').addClass('d-none');
    });
  });
  
  miDropzone.on('success',function(file,res){
    $('#Thumb').val(res);
    $('#FotoThumb').attr("src",res);
  });
  
  Dropzone.autoDiscover = false;
  
</script>
@endpush
