@extends('layouts/layout')

@section('contenido')
  <div class="container mt-4">

    <div class="row mb-3">
      <div class="col-12">
        <h1 class="display-5">{{ $obra->Titulo }} <small class="text-muted ml-1">de {{ $obra->Autor }}</small></h1>
        <p class="badge badge-primary mt-4">Página de previsualización</p>
        <small>Esta página es privada. La página pública está accesible en {{ env('APP_URL') . $obra->ruta_ficha_publica() }}</small>
      </div>
    </div>

    <div class="row">
      <div class="col">
        <figure class="figure">
            <img class="img-fluid img-thumbnail" src="{{ ($obra->Thumb != null) ? $obra->Thumb : env('ENLAZART_THUMBNAIL') }}" alt="">
          <figcaption class="figure-caption">
            <p class="text-center">{{ $obra->Titulo }}, de {{ $obra->Autor }}</p>
          </figcaption>
        </figure>
      </div>

      <div class="col">
          <div class="card">
            <div class="card-header">Obra</div>
            <div class="card-body">
              <h5>{{ $obra->Titulo }}</h5>
              <h6>{{ $obra->Autor }}</h6>
            </div>
            @component('components.obra_card',[
              'Tecnica' => $obra->Tecnica,
              'Fecha' => $obra->Fecha,
              'Planta' => $obra->Planta,
              'Ubicacion' => $obra->Ubicacion,
              'URL' => $obra->URL,
              ])
            @endcomponent
          </div>
        </div>
        
        <div class="col">
          {!! $obra->CuerpoWeb !!}
          @if ($obra->Descripcion != null)
            <small class="text-muted">
                {!! $obra->Descripcion !!}
            </small>
          @endif
        </div>
    </div>
    
  </div>
@endsection
