@extends('layouts/layout')

@push('styles')
<link href="{{ mix('/css/enlazart.css') }}" rel="stylesheet">
@endpush

@section('contenido')

<div class="container-fluid sticky-top bg-enlazart" style="z-index:99;" id="secciones_como_funciona">
  <div class="row">
    <div class="col text-center my-1">
      <ul class="list-inline m-0">
        <li class="list-inline-item m-0 mr-3 my-2">
          <a href="/">
            <img class="d-inline" src="/images/logo-enlazart-v04-white.png" alt="Logotipo enlaz.art">
          </a>
        </li>
        <li class="list-inline-item m-0 text-light">
          <strong>Cómo funciona:</strong>
        </li>
        <li class="list-inline-item m-0">
          <a class="nav-link text-light" href="#01-apuntate">&raquo; Apúntate</a>
        </li>
        <li class="list-inline-item m-0">
          <a class="nav-link text-light" href="#02-publica">&raquo; Publica</a>
        </li>
        <li class="list-inline-item m-0">
          <a class="nav-link text-light" href="#03-etiqueta">&raquo; Etiqueta</a>
        </li>
        <li class="list-inline-item m-0">
          <a class="nav-link text-light" href="#04-colecciones">&raquo; Colecciones</a>
        </li>
      </ul>
    </div>
  </div>
</div>

<div class="container-fluid marketing como_funciona" >
  
  <div id="01-apuntate" class="row featurette">
    <div class="col-md-6 align-self-end">
      <img class="featurette-image img-fluid mx-auto" src="/images/como-funciona/01-apuntate.png" alt="Apúntate">
    </div>
    <div class="col-md-5 align-self-center">
      <h2 class="featurette-heading"><span class="destacar">Apúntate</span> en menos de 1 minuto</h2>
      <p class="lead">Todo el mundo puede crear una cuenta en enlaz.art.</p>
      <p>Regístrate y tendrás acceso al Plan Esencial, con capacidad hasta 25 obras y 1 colección que puede publicarse hasta 30 días.</p>
      <p>¿Necesitas más? <a href="{{ route('planes') }}">Conoce nuestros planes.</a></p>
    </div>
  </div>
  
  <hr id="02-publica" class="featurette-divider">
  
  <div class="row featurette">
    <div class="col-md-6 align-self-end">
      <img class="featurette-image img-fluid mx-auto" src="/images/como-funciona/02-publica.png" alt="Publica tus obras">
    </div>
    <div class="col-md-5 align-self-center">
      <h2 class="featurette-heading"><span class="destacar">Publica</span> tus obras</h2>
      <p class="lead">Publicar tus obras en enlaz.art es muy sencillo.</p>
      <p>Ve a "Mis obras" y pulsa en "Dar de alta nueva obra". Completa el título, autor, fecha y ¡listo!</p>
      <p>Te recomendamos que añadas una imagen y completes toda la información. Así, las obras en la web se verán mucho mejor :)</p>
    </div>
  </div>
  
  <hr id="03-etiqueta" class="featurette-divider">
  
  <div class="row featurette">
    <div class="col-md-6 align-self-end">
      <img class="featurette-image img-fluid mx-auto" src="/images/como-funciona/03-etiqueta.png" alt="Etiqueta tus obras">
    </div>
    <div class="col-md-5 align-self-center">
      <h2 class="featurette-heading"><span class="destacar">Etiquetar tus obras</span> es muy fácil</h2>
      <p class="lead">¿Ya tienes tus obras en enlaz.art? Generar las etiquetas nos llevará 1 click.</p>
      <p>Desde "Mis obras", haz click en el botón de generar etiqueta y la tendrás lista para descargar en formato imagen al instante.</p>
      <p>La etiqueta lleva un código QR que enlaza con la ficha web de la obra.</p>
      <p>¿Quieres generar todas las etiquetas de tus obras públicas a la vez? En el listado de obras, pulsa en <strong>"Generar etiquetas"</strong>.</p>
    </div>
  </div>
  
  <hr id="04-colecciones" class="featurette-divider">
  
  <div class="row featurette">
    <div class="col-md-6 align-self-end">
      <img class="featurette-image img-fluid mx-auto" src="/images/como-funciona/04-colecciones.png" alt="Colecciones: el toque profesional">
    </div>
    <div class="col-md-5 align-self-center">
      <h2 class="featurette-heading"><span class="destacar">Colecciones.</span> El toque profesional</h2>
      <p class="lead">Una colección te permite generar una página web pública, por ejemplo, para una exposición o muestra.</p>
      <p>Al crear tu cuenta, hemos creado una colección <em>base</em> que agrupa todas tus obras.</p>
      <p>Desde "Mis colecciones", pulsa en el título de la colección para ver la web de la colección. También, puedes acceder a la página de edición para adaptarla a tus necesidades.</p>
      <p>Ajusta las fechas de publicación de la colección y ¡publícala! Podrás publicar la web de la colección más o menos días, según las condiciones de tu plan.</p>
      <p>¡Ojo! Una vez publicada, no podrás volver a ocultarla ni modificar las fechas.</p>
    </div>
  </div>
  
</div><!-- /.container -->

@endsection