@extends('layouts/layout')

@push('styles')
<link href="{{ mix('/css/enlazart.css') }}" rel="stylesheet">
@endpush 

@section('contenido')

<div class="container mt-4 pb-4">
  <div id="carousel-enlaz-art-main" class="carousel slide" data-ride="carousel" data-interval="4500">
    <ol class="carousel-indicators">
      <li data-target="#carousel-enlaz-art-main" data-slide-to="0" class="active"></li>
      <li data-target="#carousel-enlaz-art-main" data-slide-to="1"></li>
      <li data-target="#carousel-enlaz-art-main" data-slide-to="2"></li>
      <li data-target="#carousel-enlaz-art-main" data-slide-to="3"></li>
      <li data-target="#carousel-enlaz-art-main" data-slide-to="4"></li>
    </ol>
    <div class="carousel-inner">
      <div class="carousel-item active">
        <img class="d-block w-100" src="/images/carousel-slides/slide-01.jpg" alt="Etiqueta tus obras de arte">
      </div>
      <div class="carousel-item">
        <img class="d-block w-100" src="/images/carousel-slides/slide-02.jpg" alt="Un plan a tu medida">
      </div>
      <div class="carousel-item">
        <img class="d-block w-100" src="/images/carousel-slides/slide-03.jpg" alt="Conectado con tu público">
      </div>
      <div class="carousel-item">
        <img class="d-block w-100" src="/images/carousel-slides/slide-04.jpg" alt="Siempre abierta">
      </div>
      <div class="carousel-item">
        <img class="d-block w-100" src="/images/carousel-slides/slide-05.jpg" alt="Comparte el arte">
      </div>
    </div>
    <a class="carousel-control-prev" href="#carousel-enlaz-art-main" role="button" data-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="sr-only">Anterior</span>
    </a>
    <a class="carousel-control-next" href="#carousel-enlaz-art-main" role="button" data-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="sr-only">Siguiente</span>
    </a>
  </div>
</div>

<div class="container marketing">
  
  <div class="row">
    <div class="col-lg-4">
      <img src="/fonts/open-iconic.min.svg" class="iconic-sprite" style="display:none;" />
      <svg viewBox="0 0 8 8" class="icon">
        <use xlink:href="#image" class="icon-heading"></use>
      </svg>
      <h2 class="mt-3">Simple</h2>
      <p>Etiquetar las obras de tu muestra o exposición nunca ha sido tan fácil. Organiza mejor, vive mejor.</p>
      <p>
        <a class="btn btn-primary" href="/como-funciona#03-etiqueta" role="button">Ver más &raquo;</a>
      </p>
    </div>
    <div class="col-lg-4">
      <img src="/fonts/open-iconic.min.svg" class="iconic-sprite" style="display:none;" />
      <svg viewBox="0 0 8 8" class="icon">
        <use xlink:href="#link-intact" class="icon-heading"></use>
      </svg>
      <h2 class="mt-3">Conectado</h2>
      <p>Conecta con tu público con el código QR de las etiquetas: el visitante tiene acceso directo a la web con más información.</p>
      <p>
        <a class="btn btn-primary" href="{{ route('tour') }}" role="button">Ver más &raquo;</a>
      </p>
    </div>
    
    <div class="col-lg-4">
      <img src="/fonts/open-iconic.min.svg" class="iconic-sprite" style="display:none;" />
      <svg viewBox="0 0 8 8" class="icon">
        <use xlink:href="#heart" class="icon-heading"></use>
      </svg>
      <h2 class="mt-3">Gratis</h2>
      <p>enlaz.art es gratis. Sin letra pequeña, ni compromisos. Date de alta ahora y organiza tu siguiente muestra en minutos.</p>
      <p>
        <a class="btn btn-primary" href="{{ route('planes') }} " role="button">Ver más &raquo;</a>
      </p>
    </div>
  </div>
  <!-- /.row -->
  
</div>
<!-- /.container -->

@endsection @push('scripts')
<script src="/js/svg-injector.min.js"></script>

<script>
  // Elements to inject
  var mySVGsToInject = document.querySelectorAll('.iconic-sprite');
  
  // Do the injection
  SVGInjector(mySVGsToInject);
</script>
@endpush