@extends('layouts/layout')

@push('styles')
<link href="{{ mix('/css/enlazart.css') }}" rel="stylesheet">
@endpush

@section('contenido')
<main class="precios">
  <div class="pricing-header px-3 py-3 pt-md-5 pb-md-4 mx-auto text-center">
    <h1 class="display-4">Planes</h1>
    <p class="lead">enlaz.art es una plataforma de acceso gratuito.</p>
    <p>Ofrecemos 2 planes de usuario: el <strong>Plan Esencial</strong>, para cualquier tipo de usuario/organización,
      y el <strong>Plan Estándar</strong>, para organizaciones sin ánimo de lucro.</p>
    </div>
    
    <div class="container">
      <div class="card-deck mb-3 text-center">
        <div class="card mb-4 box-shadow">
          <div class="card-header">
            <h4 class="my-0 font-weight-normal">Plan Esencial</h4>
          </div>
          <div class="card-body">
            <h1 class="card-title pricing-card-title">0€ <small class="text-muted">/ mes</small></h1>
            <ul class="list-unstyled mt-3 mb-4">
              <li>1 muestra o exposición</li>
              <li>25 obras</li>
              <li>30 días de duración</li>
              <li>Acceso libre</li>
            </ul>
            {{-- Si el usuario está autenticado, desactivamos el registro --}}
            @auth
            <button class="btn btn-lg btn-block btn-outline-primary" disabled>Regístrate gratis</button>
            <small>Cierra sesión para activar el registro de usuarios.</small>
            @else
            <a role="button" href="{{ route('register') }}" class="btn btn-lg btn-block btn-outline-primary">Regístrate gratis</a>
            @endauth
          </div>
        </div>
        
        <div class="card mb-4 box-shadow">
          <div class="card-header">
            <h4 class="my-0 font-weight-normal">Plan Estándar</h4>
          </div>
          <div class="card-body">
            <h1 class="card-title pricing-card-title">0€ <small class="text-muted">/ mes</small></h1>
            <ul class="list-unstyled mt-3 mb-4">
              <li>1 muestra o exposición</li>
              <li>50 obras</li>
              <li>60 días de duración</li>
              <li>Cuentas verificadas: organizaciones sin ánimo de lucro</li>
            </ul>
            <button type="button" class="btn btn-lg btn-block btn-primary" disabled>Solicita acceso gratis.</button>
            <small>Crea una cuenta del Plan Esencial y solicita este plan desde tu cuenta de usuario.</small>
          </div>
        </div> 
        
      </div>
    </main>
    @endsection