@extends('layouts/layout')

@push('styles')
  <link href="{{ mix('/css/enlazart.css') }}" rel="stylesheet">
@endpush

@section('contenido')
  <main class="por_que">
    <div class="position-relative overflow-hidden p-3 p-md-5 m-md-3 text-center bg-light">
      <div class="col-md-5 p-lg-5 mx-auto my-5">
        <h1 class="display-4 font-weight-normal">Por qué</h1>
        <p class="lead font-weight-normal">Hay unos buenos cuantos motivos para elegir enlaz.art. Conoce más aquí.</p>
        <a class="btn btn-outline-primary" href="{{ route('register') }}">Regístrate </a>
      </div>
      <div class="product-device box-shadow d-none d-lg-block"></div>
      <div class="product-device-alt product-device-2 box-shadow d-none d-lg-block"></div>
    </div>

    <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
      <div class="bg-dark mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-center text-white overflow-hidden">
        <div class="my-3 py-3">
          <h2 class="display-5">Fácil. Rápido. Gratis.</h2>
          <p class="lead">Crea las etiquetas para tus obras de arte en línea, en tan solo unos minutos.</p>
        </div>
        <div class="imagen-beneficio beneficio-01 bg-secondary box-shadow mx-auto" ></div>
      </div>
      <div class="bg-light mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-center overflow-hidden">
        <div class="my-3 p-3">
          <h2 class="display-5">Un plan a tu medida.</h2>
          <p class="lead">Elige el plan que mejor se adapta a tus necesidades y date de alta ahora.</p>
        </div>
        <div class="imagen-beneficio beneficio-02 bg-dark box-shadow mx-auto" style="width: 80%; height: 300px; border-radius: 21px 21px 0 0;"></div>
      </div>
    </div>

    <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
      <div class="bg-light mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-center overflow-hidden">
        <div class="my-3 p-3">
          <h2 class="display-5">Conecta con tu público.</h2>
          <p class="lead">Nuestras etiquetas llevan un código QR único que enlaza con la ficha web de cada obra.</p>
        </div>
        <div class="imagen-beneficio beneficio-03 bg-dark box-shadow mx-auto" style="width: 80%; height: 300px; border-radius: 21px 21px 0 0;"></div>
      </div>
      <div class="bg-primary mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-center text-white overflow-hidden">
        <div class="my-3 py-3">
          <h2 class="display-5">Siempre abierto.</h2>
          <p class="lead">Al crear las etiquetas, estás creando una ficha web que siempre está disponible para tus usuarios.</p>
        </div>
        <div class="imagen-beneficio beneficio-04 bg-light box-shadow mx-auto" style="width: 80%; height: 300px; border-radius: 21px 21px 0 0;"></div>
      </div>
    </div>

    <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
      <div class="bg-secondary mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-white text-center overflow-hidden">
        <div class="my-3 p-3">
          <h2 class="display-5">Comparte el arte.</h2>
          <p class="lead">Guarda tus favoritos y crea tu propia colección personal.</p>
        </div>
        <div class="imagen-beneficio beneficio-05 bg-white box-shadow mx-auto" style="width: 80%; height: 300px; border-radius: 21px 21px 0 0;"></div>
      </div>
      <div class="bg-tertiary mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-center overflow-hidden">
        <div class="my-3 py-3">
          <h2 class="display-5">¿Necesitas más?</h2>
          <p class="lead">Regístrate ahora en enlaz.art y publica unas cuantas obras.</p>
        </div>
        <div class="imagen-beneficio beneficio-06 bg-white box-shadow mx-auto" style="width: 80%; height: 300px; border-radius: 21px 21px 0 0;"></div>
      </div>
    </div>

  </main>
@endsection