@extends('layouts/layout')

@push('styles')
<link href="{{ mix('/css/enlazart.css') }}" rel="stylesheet">
@endpush

@section('contenido')
<main class="tour">

  <div class="jumbotron jumbotron-fluid">
    <div class="container text-center">
      <h1 class="display-3">Tour</h1>
      <p class="lead">¿Tienes 1 minuto?</p>
      <p>Te mostramos en un paseo rápido las características de <span class="destacar">enlaz.art</span></p>
    </div>
  </div>
  
  <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
    <div class="text-center overflow-hidden">
      <img src="/images/tour/01-qr-unicos.png" class="img-fluid border rounded" alt="">
    </div>
    <div class="mr-md-3 pt-3 px-3 pt-md-5 px-md-5 overflow-hidden align-self-center">
      <div class="my-3 p-3">
        <h2 class="display-5 tour-heading">Códigos QR únicos.</h2>
        <p class="lead">Para cada obra publicada, <span class="destacar">enlaz.art</span> genera un código QR único que la identifica.</p>
      </div>
    </div>
  </div>

  <hr class="featurette-divider">
  
  <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
    <div class="text-center overflow-hidden">
      <img src="/images/tour/02-etiqueta-conectada.jpg" class="img-fluid border rounded" alt="">
    </div>
    <div class="mr-md-3 pt-3 px-3 pt-md-5 px-md-5 overflow-hidden align-self-center">
      <div class="my-3 p-3">
        <h2 class="display-5 tour-heading">Etiqueta conectada.</h2>
        <p class="lead">Lee el código QR de la etiqueta con tu dispositivo y accede directamente a la ficha web de la obra.</p>
        <p class="lead">Conecta con tu público y ofrece una experiencia digital más completa.</p>
      </div>
    </div>
  </div>
  
  <hr class="featurette-divider">

  <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
    <div class="text-center overflow-hidden">
      <img src="/images/tour/03-ficha-obra.png" class="img-fluid border rounded" alt="">
    </div>
    <div class="mr-md-3 pt-3 px-3 pt-md-5 px-md-5 overflow-hidden align-self-center">
      <div class="my-3 p-3">
        <h2 class="display-5 tour-heading">Ficha de obra.</h2>
        <p class="lead">A partir de los datos introducidos para generar las etiquetas de las obras, así como información adicional que el usuario puede aportar, <span class="destacar">enlaz.art</span> genera una página web co la ficha técnica de la obra.</p>
      </div>
    </div>
  </div>
  
  <hr class="featurette-divider">

  <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
    <div class="bg-lighttext-center overflow-hidden">
      <img src="/images/tour/04-mis-etiquetas.png" class="img-fluid border rounded" alt="">
    </div>
    <div class="mr-md-3 pt-3 px-3 pt-md-5 px-md-5 overflow-hidden align-self-center">
      <div class="my-3 p-3">
        <h2 class="display-5 tour-heading">Genera una... o muchas.</h2>
        <p class="lead">Puede que te haga falta generar una etiqueta en concreto o puede que quieras generar todas a la vez.</p>
        <p class="lead"><span class="destacar">enlaz.art</span> te da las 2 opciones.</p>
      </div>
    </div>
  </div>
  
  <hr class="featurette-divider">

  <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
    <div class="text-center overflow-hidden">
      <img src="/images/tour/05-ficha-coleccion.jpg" class="img-fluid border rounded" alt="">
    </div>
    <div class="mr-md-3 pt-3 px-3 pt-md-5 px-md-5 overflow-hidden align-self-center">
      <div class="my-3 p-3">
        <h2 class="display-5 tour-heading">Ficha de colección.</h2>
        <p class="lead">Una página web sencilla para promocionar tu exposición, con acceso directo a las fichas de las obras que la forman.</p>
        <p class="lead">Comunica tu exposición y llega a más personas.</p>
      </div>
    </div>
  </div>
  
  <hr class="tour-divider">

  <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
    <div class="text-center overflow-hidden">
      <img src="/images/tour/06-mis-favoritos.png" class="img-fluid border rounded" alt="">
    </div>
    <div class="mr-md-3 pt-3 px-3 pt-md-5 px-md-5 overflow-hidden align-self-center">
      <div class="my-3 p-3">
        <h2 class="display-5 tour-heading">Mis favoritos.</h2>
        <p class="lead">El ser humano es un ser social. Nos gusta compartir lo que nos gusta.</p>
        <p class="lead"><span class="destacar">enlaz.art</span> permite guardar obras a los usuarios como <em>Favoritos</em> o <em>Me gusta</em>, facilitando la creación de un catálogo personal.</p>
      </div>
    </div>
  </div>
</main>
@endsection