{{-- Vista de obras favoritas/me gusta del usuario. Extiende la plantilla principal layouts/layout --}}
@extends('layouts/layout')

@section('contenido')
<div class="container mt-4">
  <div class="row mb-2">
    <div class="col">
      <h3>Mis favoritas</h3>
    </div>
  </div>
  
  {{-- Mostramos las obras favoritas del usuario --}}
  <div class="row justify-content-center">
    @if ($favs->count() === 0)
    <div class="alert alert-warning" role="alert">
      <h4 class="alert-heading">Vaya!</h4>
      <p>Aún no tienes <em>Favoritos</em>. Sigue explorando obras de enlaz.art y añade algunas favoritas.</p>
    </div>
    @else
    
    @foreach ($favs as $fav)
    <div class="col-sm-6 col-md-4 col-lg-3 text-center">
      <div class="card mb-4 box-shadow">
        <img class="card-img-top" src="{{ ($fav->obra->Thumb != null) ? $fav->obra->Thumb : env('ENLAZART_THUMBNAIL') }}" alt="{{ ($fav->obra->Titulo.', '.$fav->obra->Autor) }}">
        <div class="card-body">
          <a role="button" href="{{ $fav->obra->ruta_ficha_publica() }}" class="btn btn-sm btn-outline-secondary">Ver  &raquo;</a>
          {{-- Si el usuario autenticado puede editar la obra, mostramos enlace de dicha opción --}}
          @if (Auth::user()->can('edit', $fav->obra))
          <a role="button" href="{{ route('obras.edit',$fav->obra->id) }}" class="btn btn-sm btn-outline-secondary">Editar  &raquo;</a>
          @endif
        </div>
      </div>
    </div>
    @endforeach

    @endif
  </div>

  <div class="row mt-4 mb-2">
    <div class="col">
      <h3>Me gusta</h3>
    </div>
  </div>
  
  {{-- Mostramos las obras favoritas del usuario --}}
  <div class="row justify-content-center">
    @if ($likes->count() === 0)
    <div class="alert alert-warning" role="alert">
      <h4 class="alert-heading">Vaya!</h4>
      <p>Aún no tienes <em>Me gusta</em>. Sigue explorando obras de enlaz.art y añade algunas a esta sección.</p>
    </div>
    @else
    
    @foreach ($likes as $like)
    <div class="col-sm-6 col-md-4 col-lg-3 text-center">
      <div class="card mb-4 box-shadow">
        <img class="card-img-top" src="{{ ($like->obra->Thumb != null) ? $like->obra->Thumb : env('ENLAZART_THUMBNAIL') }}" alt="{{ ($like->obra->Titulo.', '.$like->obra->Autor) }}">
        <div class="card-body">
          <a role="button" href="{{ route('obras.show',$like->obra->id) }}" class="btn btn-sm btn-outline-secondary">Ver  &raquo;</a>
          {{-- Si el usuario autenticado puede editar la obra, mostramos enlace de dicha opción --}}
          @if (Auth::user()->can('edit', $like->obra))
          <a role="button" href="{{ route('obras.edit',$like->obra->id) }}" class="btn btn-sm btn-outline-secondary">Editar  &raquo;</a>
          @endif
        </div>
      </div>
    </div>
    @endforeach

    @endif
  </div>
  
</div>
{{-- Fin .container --}}

@endsection