{{-- Vista lista de usuarios. Extiende la plantilla principal layouts/layout --}}
@extends('layouts/layout')

@section('contenido')
  <div class="container mt-4">

    <div class="row mb-3">
      <div class="col">
        <h1>Usuarios</h1>
      </div>
    </div>

    @if (session()->has('info'))
    <div class="row">
      <div class="col">
        <div class="alert alert-{{ session('tipo') }}">
           {{ session('info') }}
       </div>
      </div>
    </div>
    @endif
    
    <table class="table table-hover table-bordered">
      <thead>
        <tr>
          <th>Id</th>
          <th>Nombre / Organización</th>
          <th>Email</th>
          <th>Rol</th>
          <th>Acciones</th>
        </tr>
      </thead>
      <tbody>

          @foreach ($usuarios as $usuario)
            <tr>
              <td>{{ $usuario->id }}</td>
              <td>
                <a href="{{ route('usuarios.show',$usuario->id) }}">
                  {{ $usuario->name }}
                </a>
              </td>
              <td>{{ $usuario->email }}</td>
              <td>{{ $usuario->rol->nombre }}</td>
              <td>
                <a href="{{ route('usuarios.edit',$usuario->id) }}" class="btn btn-outline-primary btn-sm" title="Editar">
                    <span class="oi oi-pencil"></span>
                </a>
                
                {{-- Si el usuario listado no es administrador, damos la opción de eliminarlo. Requerirá confirmación, por lo que abriremos una ventana modal. --}}
                @if (!$usuario->esAdministrador())
                <button type="button" class="btn btn-outline-primary btn-sm d-inline" data-toggle="modal" data-target="#Confirmacion{{ $usuario->id }}" title="Eliminar">
                    <span class="oi oi-delete"></span>
                </button>
                <div class="modal fade" id="Confirmacion{{ $usuario->id }}" tabindex="-1" role="dialog" aria-labelledby="ConfirmacionTitulo" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="ConfirmacionTitulo">Confirmar eliminación de usuario</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Cerrar">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                          ¿Estás seguro de que deseas borrar el usuario?
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar eliminación</button>
                          <form class="d-inline" method="post" action="{{ route('usuarios.destroy', $usuario->id) }}">
                              {!! csrf_field() !!}
                              {!! method_field('DELETE') !!}
                              <button type="submit" class="btn btn-primary d-inline" title="Eliminar">
                                  Eliminar usuario
                              </button>
                            </form>
                        </div>
                      </div>
                    </div>
                  </div>
                @endif

              </td>
            </tr>
          @endforeach

      </tbody>
    </table>
  </div>

  
@endsection
