<?php

// Archivo de rutas de la aplicación
// Podemos listar desde línea de comandos (directorio de la aplicación) todas las rutas de nuestra aplicación con el comando $ php artisan r:l

Route::get('/', 'PagesController@home')->name('index');
Route::get('/index', ['as' => 'home', 'uses' => 'PagesController@home']);

// Al definir como recurso (resource) una ruta (p.e. 'obras'), Laravel crea automáticamente las rutas necesarias para la implementación REST del recurso
Route::resource('obras','ObrasController');
Route::resource('usuarios','UsuariosController');
Route::resource('colecciones','ExposicionesController');

// Usaremos las rutas de autenticación por defecto de Laravel
Auth::routes();

// Resto de rutas implementadas en la app
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/caracteristicas', 'PagesController@porque_enlazart')->name('por-que');
Route::get('/planes', 'PagesController@planes')->name('planes');
Route::get('/conocenos', 'PagesController@conocenos')->name('conocenos');
Route::get('/contacta', 'PagesController@contacta')->name('contacta');
Route::post('/contacta', 'PagesController@enviar_mensaje_contacto');
Route::get('/privacidad', 'PagesController@privacidad')->name('privacidad');
Route::get('/como-funciona', 'PagesController@como_funciona')->name('como_funciona');
Route::get('/tour', 'PagesController@tour')->name('tour');
Route::get('/id/{obra}', 'PagesController@ficha_publica')->name('ficha_publica');
Route::get('/expo/{expo}', 'PagesController@ficha_publica_coleccion')->name('ficha_publica_coleccion');

// Rutas adicionales para obras: publicar/ocultar ficha de pública de obra, generar etiqueta, subir/borrar imagen de obra
Route::post('obra/{obra}/publicar-ficha', 'ObrasController@publicar_ficha')->name('obra.publicar');
Route::post('obra/{obra}/ocultar-ficha', 'ObrasController@ocultar_ficha')->name('obra.ocultar');
Route::get('obra/{obra}/etiqueta', 'ObrasController@ver_etiqueta')->name('obra.etiqueta');
Route::post('obra/{usuario}', 'ObrasController@subir_foto')->name('obra.subir-foto');
Route::delete('obra/{usuario}', 'ObrasController@borrar_foto')->name('obra.borrar-foto');
Route::get('mis-etiquetas/{usuario}', 'ObrasController@generar_mis_etiquetas')->name('mis-etiquetas');

// Rutas adicionales: publicar ficha pública de colección, aplicar etiqueta a obra, acceso a favoritos del usuario
Route::post('colecciones/{expo}', 'ExposicionesController@publicar_coleccion')->name('colecciones.publicar');
Route::post('etiquetar/{obra}','EtiquetaController@toggle_etiqueta')->name('etiquetar');
Route::get('favoritos/{usuario}', 'UsuariosController@ver_favoritos')->name('usuarios.favoritos');